Name:           perl-Net-eBay
Version:        0.46
Release:        2%{?dist}

Summary:        Perl Interface to XML based eBay API

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-eBay/
Source0:        http://search.cpan.org/CPAN/authors/id/I/IC/ICHUDOV/Net-eBay-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(Net::SSLeay)
BuildRequires:  perl(DateTime::Precise)
BuildRequires:  perl(HTML::PrettyPrinter)
BuildRequires:  perl(XML::Dumper)
BuildRequires:  perl(HTML::FormatText)
BuildRequires:  perl(HTML::TreeBuilder)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module helps user to easily execute queries against eBay's XML API.


%prep
%setup -q -n Net-eBay-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/ebay-add-item.pl
%{_bindir}/ebay-get-categories.pl
%{_bindir}/ebay-get-item.pl
%{_bindir}/ebay-official-time.pl
%{_bindir}/ebay-revise-item.pl
%{_bindir}/ebay-search.pl
%{_bindir}/ebay-validate-test-user.pl
%{perl_vendorlib}/*
%{_mandir}/man3/Net::eBay.3pm.gz


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.46-2
Rebuild for new perl

* Mon Feb 04 2008 Xavier Bachelot <xavier@bachelot.org> - 0.46-1
- New upstream version.

* Fri Feb 01 2008 Xavier Bachelot <xavier@bachelot.org> - 0.45-2
- Add missing BRs.

* Wed Jan 09 2007 Xavier Bachelot <xavier@bachelot.org> - 0.45-1
- Update to 0.45.
- Clean up spec.

* Fri Dec 22 2006 Xavier Bachelot <xavier@bachelot.org> - 0.40-1
- Initial build.
